Page MenuHomePhabricator

Database primary master failover on s4 (commonswiki)
Closed, ResolvedPublic

Description

Due to hardware malfunction (T213664) on the primary s4 database master (Commonswiki) and given that that host is old and needs to be decommissioned (T217396) we have to do a database master failover.

We would need a 30 minutes read-only window for Commonswiki

Date: Wed 19th June
Time: 05:00 AM UTC - 05:30 AM UTC (we expect not to use the full 30 minutes window)

Impact: All Commonswiki will go read-only. No edits will be allowed. Reads will not be impacted.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 28 2019, 7:19 PM
Marostegui updated the task description. (Show Details)May 28 2019, 7:22 PM
Johan claimed this task.May 29 2019, 11:38 AM
Restricted Application added a project: User-Johan. · View Herald TranscriptMay 29 2019, 11:38 AM
Johan moved this task from Backlog to Do now on the User-Johan board.May 29 2019, 11:38 AM

@Trizek-WMF What are our capabilities for a CentralNotice on Commons when it comes to how to serve the notice in different languages on one wiki? We can't use user settings for logged-in users, right?

Anyway, I'll ping the Commons community and ask them if they want to put up a sitenotice and decide the hows and whens of that.

Johan added a comment.Jun 3 2019, 3:33 PM

The Tech News issue involving this has been delivered.

Will other wikis be affected?

No, only writes to commonswiki (and tesrcommons) will be affected. But reads won't be affected, they will work normally.

No, only writes to commonswiki (and tesrcommons) will be affected. But reads won't be affected, they will work normally.

Should it be

No, only writes to commonswiki (and testcommons) will be affected. But reads won't be affected, they will work normally.

Johan added a comment.Jun 12 2019, 1:22 PM

Yes, Commons and Testcommmons.

I'll include this in the issue of Tech News going out on Monday, too, as a reminder.

Johan triaged this task as Medium priority.Jun 12 2019, 1:23 PM
Marostegui closed this task as Resolved.Jun 19 2019, 5:15 AM

This happened successfully.
Read only times (UTC):

Start: 05:01:02
Stop: 05:03:20
Total read only time: 2:18 minutes

Thanks for handling the communication!

Johan moved this task from Do now to Archive on the User-Johan board.Jun 19 2019, 6:09 AM